package com.kingdee.eas.custom.permissioncontrol;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PermApplyBillFactory
{
    private PermApplyBillFactory()
    {
    }
    public static com.kingdee.eas.custom.permissioncontrol.IPermApplyBill getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.IPermApplyBill)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("42CD5620") ,com.kingdee.eas.custom.permissioncontrol.IPermApplyBill.class);
    }
    
    public static com.kingdee.eas.custom.permissioncontrol.IPermApplyBill getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.IPermApplyBill)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("42CD5620") ,com.kingdee.eas.custom.permissioncontrol.IPermApplyBill.class, objectCtx);
    }
    public static com.kingdee.eas.custom.permissioncontrol.IPermApplyBill getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.IPermApplyBill)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("42CD5620"));
    }
    public static com.kingdee.eas.custom.permissioncontrol.IPermApplyBill getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.permissioncontrol.IPermApplyBill)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("42CD5620"));
    }
}